# $Revision: 1.9 $, $Date: 2012/01/11 22:26:42 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Geo
%define	pnam	IP-PurePerl
Summary:	Geo::IP::PurePerl - Look up country by IP Address
Summary(pl.UTF-8):	Geo::IP::PurePerl - wyszukiwanie państw po adresach IP
Name:		perl-Geo-IP-PurePerl
Version:	1.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a47a1b71f7cd7c46cca9efcc448e0726
URL:		http://search.cpan.org/dist/Geo-IP-PurePerl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses a file based database. This database simply contains
IP blocks as keys, and countries as values. This database is more
complete and accurate than reverse DNS lookups.

This module can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visiters, for credit card fraud detection, and for
software export controls.

%description -l pl.UTF-8
Ten moduł używa bazy danych opartej na pliku. Baza danych zawiera po
prostu bloki IP jako klucze i państwa jako wartości. Baz danych jest
bardziej kompletna i dokładna niż wyszukiwanie odwrotnych DNS.

Moduł ten może być używany do automatycznego wyboru najbliższego
geograficznie serwera lustrzanego, analizy logów serwera WWW w celu
określenia państw odwiedzających, wykrywania oszustw związanych z
kartami kredytowymi oraz kontroli eksportu oprogramowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%attr(755,root,root) %{_bindir}/geoip-lookup
%dir %{perl_vendorlib}/Geo
%dir %{perl_vendorlib}/Geo/IP
%{perl_vendorlib}/Geo/IP/*.pm
%{_mandir}/man1/geoip-lookup.1p*
%{_mandir}/man3/Geo::IP::PurePerl.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Geo-IP-PurePerl.spec,v $
Revision 1.9  2012/01/11 22:26:42  zbyniu
- up to 1.25

Revision 1.8  2009/10/20 09:54:31  amateja
- updated to 1.24

Revision 1.7  2009/06/23 11:43:12  amateja
- updated to 1.23

Revision 1.6  2008/11/09 20:15:51  radek
- version 1.22

Revision 1.5  2007-12-19 15:48:03  zbyniu
- up to 1.18

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/06 21:17:40  qboosh
- pl

Revision 1.1  2006/10/25 08:11:35  glen
- new
